package cca.net.jostl;

/**
 *
 *
 * @author Dustin Zimnox
 * 
 * @created October 23, 2006
 */
public class TOCBuddy implements TOCConstants
{
    /** What list this buddy is on
     *  Unless the buddy has been explicitly added
     *  to either of the user's permit or deny lists,
     *  it'll default with NORMAL
     */
    public static int PERMISSION_NORMAL = 0; 
    public static int PERMISSION_PERMIT = 1;
    public static int PERMISSION_DENY = 2;
    
   
    private String name;
    private String group;
    private int warnAmount = 0;
    private String strSignOnTime = "";
    private int idleTime = 0;
    private boolean isAway = false;
    private int service = -1;
    private boolean isOnline = false;
    private long signon = 0;
    private int permissionLevel = PERMISSION_NORMAL;
    private String friendly = "";
    
    
    public TOCBuddy(String name, String group)
    {
        this.name = name;
        this.group = group;
    }
    
    
    /**
     *
     */
    public String getFriendly()
    {
        return friendly;
    }
    
    public void setFriendly(String name)
    {
        friendly = name;
    }
    
    /**
     * Only change this value when the config sent by
     * the TOC server states deny or permit or if the
     * user changes the buddy's permission level through
     * the various add/remove permit/deny methods
     */
    protected void setPermissionState(int list)
    {
        permissionLevel = list;    
    }
    
    
    /**
     * 
     */
    public int getPermissionState()
    {
        return permissionLevel;
    }
    
    
    /**
     * 
     */
    public void setGroup(String group)
    {
        this.group = group;
    }
    
    /**
     * 
     */
    protected void setWarningAmount(int warn)
    {
        warnAmount = warn;
    }
    
    /**
     * 
     */
    protected void setIdleTime(int minutes)
    {
        idleTime = minutes;
    }
    
    /**
     * 
     */
    protected void setAway(boolean b)
    {
        isAway = b;
    }
    
    /**
     * 
     */
    protected void setOnline(boolean b)
    {
        isOnline = b;
    }    
    
    /**
     * 
     */
    protected void setSignOnTime(long seconds)
    {
        signon = seconds;
    }
    
    /*
    public void setSignOnTime(int days, int hours, int minutes)
    {
        if (days>0)
            strSignOnTime = days+" days, "+hours+" hours, "+minutes+" minutes";
        else if (hours>0)
            strSignOnTime = hours+" hours, "+minutes+" minutes";
        else
            strSignOnTime = minutes+" minutes";
    }
    */
   
    /**
     * 
     */
    protected void setService(int s)
    {
        service = s;   
    }
    
    public int getService()
    {
        return service;
    }
    
    public boolean isOnline()
    {
        return isOnline;
    }
    
    public boolean isCellular()
    {
        if (service == SERVICE_CELL)
            return true;
        return false;
    }
    
    public String getName()
    {
        return name;
    }
    
    public String getGroup()
    {
        return group;
    }
    
    public int getWarningAmount()
    {
        return warnAmount;
    }
    
    public int getIdleTime()
    {
        return idleTime;
    }
    
    public boolean isAway()
    {
        return isAway;
    }
    
    public String toString()
    {
        return name;
    }
    
    public boolean equals(Object o)
    {
        if (o instanceof TOCBuddy)
        {
            TOCBuddy buddy = (TOCBuddy)o;
            if (normalizeString(buddy.getName()).equals(normalizeString(this.getName())))
                return true;
            
        }
        return false;
    }
    
    
    protected static String normalizeString(String s)
    {
        s = s.toLowerCase();
        String str = "";
        char[] chars = s.toCharArray();
        for (int i=0;i<chars.length;i++)
        {
            if (chars[i] != ' ')
            {
                str = str + "" + chars[i];
            }
        }
        return str;
    }

}
